import { ifDefined } from "lit/directives/if-defined.js";
import { html, literal, unsafeStatic } from "lit/static-html.js";
const renderHeading = ({ props })=>(children)=>{
        const { level, class: classname, part } = props;
        const headingTag = level > 0 && level <= 6 ? unsafeStatic(`h${level}`) : literal`div`;
        return html`<${headingTag}
      class="${ifDefined(classname)}"
      part="${ifDefined(part)}"
    >
      ${children}
    </${headingTag}>`;
    };
export { renderHeading };
